> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept greeting

> Marks an incoming greeting as seen.



## OpenAPI

````yaml /api/customer-chat/v3.7/openapi.json post /action/accept_greeting
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/accept_greeting:
    post:
      tags:
        - Other
      summary: Accept greeting
      description: Marks an incoming greeting as seen.
      operationId: accept-greeting
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AcceptGreetingRequest'
            example:
              greeting_id: 7
              unique_id: Q10X0W041P
      responses:
        '200':
          description: Greeting accepted.
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    AcceptGreetingRequest:
      type: object
      required:
        - greeting_id
        - unique_id
      properties:
        greeting_id:
          type: integer
          description: The ID of the greeting configured within the license to accept.
        unique_id:
          type: string
          description: >-
            Unique identifier of the greeting to accept. You can get it from the
            `incoming_greeting` push.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````